Subject: [xml2rfc-dev] Please help review v3 file: draft-ietf-avtcore-rtp-multi-stream-optimisation-12

From: Sandy Ginoza <[email-masked]>
Date: Mon, 5 Aug 2019 16:30:02 -0700

Hi again,

Continuing with our request to review XMLv3 files, we’d appreciate your input regarding draft-ietf-avtcore-rtp-multi-stream-optimisation-12.  We’re hoping some of you will take the time to review the files and provide feedback regarding whether the updates are as expected and the XMLv3 files are considered “good” v3 files.  

NOTEs:  
- As previously mentioned, we are aware there is an issue w/ sectionFormat.
Example: text is missing from the output (Section 3.1) after this XML
<xref target="RFC3550" sectionFormat="comma" section="6.3.7"/>

- Although it gives an error currently, our understanding is that using xref in this manner (or similar) to create a link to a specific section of an I-D will be possible (without relying on the target attribute of the corresponding reference), per discussion with Henrik.
<xref target="RTP-STREAMS" sectionFormat="of" section="5.4"/>

- we focused on format only; we did not make editorial updates. 

- the diff files compare the initial v2v3 output with the files we edited.

Please review the following files related to draft-ietf-avtcore-rtp-multi-stream-optimisation-12:

https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.html <https://www.rfc-editor.org/v3test/d>
https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.pdf>
https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.txt>
https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.xml>

Diff files:
https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-xmldiff.html>
https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-htmlwdiff.html <https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-htmlwdiff.html>

Thanks,
Sandy

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 06 Aug 2019 10:03:54 +1000

https://martinthomson.github.io/i-d-template/sample4.html

The strange author ordering continues:

China
210012
JiangsuNanjing,
101 Software Avenue, Yuhua District
Huawei
Qin Wu
Email: [email-masked]

On Tue, Aug 6, 2019, at 09:30, Sandy Ginoza wrote:
> Hi again,
> 
> Continuing with our request to review XMLv3 files, we’d appreciate your 
> input regarding draft-ietf-avtcore-rtp-multi-stream-optimisation-12. 
> We’re hoping some of you will take the time to review the files and 
> provide feedback regarding whether the updates are as expected and the 
> XMLv3 files are considered “good” v3 files. 
> 
> NOTEs: 
> - Although it gives an error currently, our understanding is that using 
> xref in this manner (or similar) to create a link to a specific section 
> of an I-D will be possible (without relying on the target attribute of 
> the corresponding reference), per discussion with Henrik.
> Please review the following files related to 
> draft-ietf-avtcore-rtp-multi-stream-optimisation-12:
> 
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.html
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.pdf
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.txt
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3.xml
> 
> Diff files:
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-xmldiff.html
> https://www.rfc-editor.org/v3test/draft-ietf-avtcore-rtp-multi-stream-optimisation-12-KC.v2v3-htmlwdiff.html
> 
> 
> Thanks,
> Sandy 
> _______________________________________________
> xml2rfc-dev mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc-dev
>

---

From: Sandy Ginoza <[email-masked]>
Date: Mon, 5 Aug 2019 22:54:18 -0700

Hi all,

A few more files for review.  Our previous notes continue to apply.  Additionally, note that draft-ietf-lamps-pkix-shake-15 <https://www.rfc-editor.org/staff/edit_draft.php?draft=draft-ietf-lamps-pkix-shake-15> demonstrates the use of <!— comments —> is sometimes problematic, as some text may disappears.  We have reported this issue.  

Files related to draft-ietf-sipcore-rejected-09:
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.html> 
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.pdf>
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.txt>
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.xml> 

Diff files:
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-xmldiff.html> 
https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-htmlwdiff.html <https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-htmlwdiff.html> 

Files related to draft-ietf-lamps-pkix-shake-15: 
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.html> 
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.pdf> 
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.txt> 
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.xml> 

Diff files:
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-xmldiff.html> 
https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-alt-htmlwdiff.html <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-alt-htmlwdiff.html> 

Files related to draft-ietf-lisp-introduction-13:
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.html> 
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.pdf> 
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.txt <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.txt> 
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.xml <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.xml> 

Diff files:
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-xmldiff.html <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-xmldiff.html> 
https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-htmlwdiff.html <https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-htmlwdiff.html> 

Thanks!
Sandy

> Begin forwarded message:
> 
> From: Sandy Ginoza <[email-masked]>
> Subject: Please help review v3 file: draft-ietf-avtcore-rtp-multi-stream-optimisation-12
> Date: August 5, 2019 at 4:30:02 PM PDT
> To: [email-masked]
> Cc: RFC Editor <[email-masked]>
> 
> Hi again,
>

---

From: Tom Pusateri <[email-masked]>
Date: Tue, 6 Aug 2019 08:08:29 -0400

Can you remind us of the criteria for evaluation? Are they written down anywhere? Are mobile devices part of the review?

Thanks,
Tom

> On Aug 6, 2019, at 1:54 AM, Sandy Ginoza <[email-masked]> wrote:
> 
> Hi all,
> 
> A few more files for review.  Our previous notes continue to apply.  Additionally, note that draft-ietf-lamps-pkix-shake-15 demonstrates the use of <!— comments —> is sometimes problematic, as some text may disappears.  We have reported this issue.  
> 
> 
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.html 
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.pdf
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.txt
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3.xml 
> 
> Diff files:
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-xmldiff.html 
> https://www.rfc-editor.org/v3test/draft-ietf-sipcore-rejected-09-LB.v2v3-htmlwdiff.html 
> 
> 
> 
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.html 
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.pdf 
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.txt 
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.xml 
> 
> Diff files:
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-xmldiff.html 
> https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3-alt-htmlwdiff.html 
> 
> 
> 
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.html 
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.pdf 
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.txt 
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3.xml 
> 
> Diff files:
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-xmldiff.html 
> https://www.rfc-editor.org/v3test/draft-ietf-lisp-introduction-13-MS.v2v3-htmlwdiff.html 
> 
> 
> Thanks!
> Sandy
> 
> 
> 
>> Begin forwarded message:
>>

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 6 Aug 2019 16:39:21 +0200

Hi Martin,

> Email: [email-masked]

Two things:

 - This is actually the correct field order for this Chinese postal
   address, as given by google's i18n address database (except for
   a missing space between Jiangsu and Nanjing, a bug I saw now).

 - In Prague, IETF-104, I discussed the interest of correct rendering of
   addresses from an i18n perspective versus the interest of listing authors
   in a recognizable form with Alice and Sandy, with the outcome that we'd
   change this to always show the author name first, even if not strictly
   correct from an i18n address format point of view.  I thought I'd already
   fixed this, but find that the code changes have not been released.  It
   will be part of the next release, some time later this week.

Regards,

	henrik

---

From: Heather Flanagan <[email-masked]>
Date: Fri, 9 Aug 2019 14:32:12 -0700

Hi Tom, all,

Right now, we’re looking primarily at the XML itself, and whether the XML is introducing any unexpected behavior in the outputs. That means the scope for looking at the outputs is the relationship the output has to the XML. Any feedback beyond that (aesthetics, feature enhancement requests) will be gratefully received, but is not our highest priority.

We want to make sure the conversation from v2 to v3 results in the XML people would expect to see.

Hope that helps,
Heather

> On Aug 6, 2019, at 5:08 AM, Tom Pusateri <pusateri=[email-masked]> wrote:
> 
> On Aug 6, 2019, at 1:54 AM, Sandy Ginoza <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Hi all,
>> 
>> A few more files for review.  Our previous notes continue to apply.  Additionally, note that draft-ietf-lamps-pkix-shake-15 <https://www.rfc-editor.org/staff/edit_draft.php?draft=draft-ietf-lamps-pkix-shake-15> demonstrates the use of <!— comments —> is sometimes problematic, as some text may disappears.  We have reported this issue..  
>> 
>> 
>> https://www.rfc-editor..org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.html <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.html> 
>> https://www..rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.pdf <https://www.rfc-editor.org/v3test/draft-ietf-lamps-pkix-shake-15-RV.v2v3.pdf> 
>>> From: Sandy Ginoza <[email-masked] <mailto:[email-masked]>>
>>> To: [email-masked] <mailto:[email-masked]>
>>> Cc: RFC Editor <[email-masked] <mailto:[email-masked]>>
>>> 
>>> Hi again,
>>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/xml2rfc-dev <https://www.ietf.org/mailman/listinfo/xml2rfc-dev>